---
title: vultr_object_storage
url: https://docs.vultr.com/reference/terraform/data-sources/object_storage
description: Provides a managed S3-compatible object storage solution for storing and retrieving any amount of data from anywhere on the web
publish_date: 2025-09-15T13:33:31.624792Z
last_updated: 2025-09-15T14:14:42.888073Z
---

# vultr_object_storage

Get information about an Object Storage subscription on Vultr.

## Example Usage

Get the information for an object storage subscription by `label`:

```hcl
data "vultr_object_storage" "s3" {
  filter {
    name   = "label"
    values = ["my-s3"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding operating systems.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `label` - The label of the object storage subscription.
* `location` - The location which this subscription resides in.
* `cluster_id` - The identifying cluster ID.
* `region` - The region ID of the object storage subscription.
* `s3_access_key` - Your access key.
* `s3_hostname` - The hostname for this subscription.
* `s3_secret_key` - Your secret key.
* `status` - Current status of this object storage subscription.
* `date_created` - Date of creation for the object storage subscription.